Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
Class ManagedReference<T>

    java.lang.Object
      org.codehaus.groovy.util.ManagedReference<T>

All Implemented Interfaces:
  Finalizable

Direct Known Subclasses:
  ManagedConcurrentMap.Entry

    public class ManagedReference<T>
    extends Object
    implements Finalizable

Author:
  Alex Tkachman, Jochen Theodorou

Constructor Summary
Constructor and Description
`ManagedReference(ReferenceBundle bundle, T value)`
`ManagedReference(ReferenceType type, ReferenceManager rmanager, T value)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`void` | `clear()`
`void` | `finalizeReference()`
`T` | `get()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedReference

    public ManagedReference(ReferenceType type,
                            ReferenceManager rmanager,
                            T value)

### ManagedReference

    public ManagedReference(ReferenceBundle bundle,
                            T value)

Method Detail

### get

    public final T get()

### clear

    public final void clear()

### finalizeReference

    public void finalizeReference()

  Specified by:
    `finalizeReference` in interface `Finalizable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD